Index: squid3/src/ICAPAnchor.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPAnchor.cc,v
retrieving revision 1.1.2.18
retrieving revision 1.1.2.19
diff -u -r1.1.2.18 -r1.1.2.19
--- squid3/src/ICAPAnchor.cc	25 Aug 2005 20:51:26 -0000	1.1.2.18
+++ squid3/src/ICAPAnchor.cc	26 Aug 2005 20:28:41 -0000	1.1.2.19
@@ -10,149 +10,173 @@
 CBDATA_CLASS_INIT(ICAPAnchor);
 
 
-ICAPAnchor::ICAPAnchor(): httpState(NULL), virgin(NULL), adapted(NULL) {
-	debug(93,5)("ICAPAnchor constructed, this=%p\n", this);
+ICAPAnchor::ICAPAnchor(): httpState(NULL), virgin(NULL), adapted(NULL)
+{
+    debug(93,5)("ICAPAnchor constructed, this=%p\n", this);
 }
 
-ICAPAnchor::~ICAPAnchor() {
-	stop(notifyNone);
-	cbdataReferenceDone(httpState);
+ICAPAnchor::~ICAPAnchor()
+{
+    stop(notifyNone);
+    cbdataReferenceDone(httpState);
 }
 
-void ICAPAnchor::startRespMod(HttpStateData *anHttpState, HttpRequest *request, HttpReply *reply) {
-	httpState = cbdataReference(anHttpState);
+void ICAPAnchor::startRespMod(HttpStateData *anHttpState, HttpRequest *request, HttpReply *reply)
+{
+    httpState = cbdataReference(anHttpState);
 
-	virgin = new MsgPipe("virgin"); // this is the place to create a refcount ptr
-	virgin->source = this;
-	virgin->data = new MsgPipeData;
-	virgin->data->cause = request;
-	virgin->data->header = reply;
-	virgin->data->body = new MemBuf;
-	memBufInit(virgin->data->body, ICAPMsgPipeBufSizeMin, ICAPMsgPipeBufSizeMax);
+    virgin = new MsgPipe("virgin"); // this is the place to create a refcount ptr
+    virgin->source = this;
+    virgin->data = new MsgPipeData;
+    virgin->data->cause = request;
+    virgin->data->header = reply;
+    virgin->data->body = new MemBuf;
+    memBufInit(virgin->data->body, ICAPMsgPipeBufSizeMin, ICAPMsgPipeBufSizeMax);
 
-	adapted = new MsgPipe("adapted");
-	adapted->sink = this;
+    adapted = new MsgPipe("adapted");
+    adapted->sink = this;
 #if ICAP_ANCHOR_LOOPBACK
-	adapted->data = new MsgPipeData;
-	adapted->data->cause = request; // should not hurt
+
+    adapted->data = new MsgPipeData;
+    adapted->data->cause = request; // should not hurt
 #endif
 
 #if ICAP_ANCHOR_LOOPBACK
 #else
-	ICAPInitXaction(virgin, adapted);
+
+    ICAPInitXaction(virgin, adapted);
 #endif
-	virgin->sendSourceStart(); // we may have virgin data to provide
-	adapted->sendSinkNeed();   // we want adapted response, eventially
+
+    virgin->sendSourceStart(); // we may have virgin data to provide
+    adapted->sendSinkNeed();   // we want adapted response, eventially
 }
 
-void ICAPAnchor::sendMoreData(StoreIOBuffer buf) {
-	debug(93,5)("ICAPAnchor::sendMoreData() called\n");
-	//buf.dump();
-	/*
-	 * The caller is responsible for not giving us more data
-	 * than will fit in body MemBuf.  Caller should use
-	 * potentialSpaceSize() to find out how much we can hold.
-	 */
-	virgin->data->body->append(buf.data, buf.length);
-	virgin->sendSourceProgress();
+void ICAPAnchor::sendMoreData(StoreIOBuffer buf)
+{
+    debug(93,5)("ICAPAnchor::sendMoreData() called\n");
+    //buf.dump();
+    /*
+     * The caller is responsible for not giving us more data
+     * than will fit in body MemBuf.  Caller should use
+     * potentialSpaceSize() to find out how much we can hold.
+     */
+    virgin->data->body->append(buf.data, buf.length);
+    virgin->sendSourceProgress();
 }
 
 int
 ICAPAnchor::potentialSpaceSize()
 {
-	return (int) virgin->data->body->potentialSpaceSize();
+    return (int) virgin->data->body->potentialSpaceSize();
 }
 
 // HttpStateData says we have the entire HTTP message
-void ICAPAnchor::doneSending() {
-	debug(93,5)("ICAPAnchor::doneSending() called\n");
+void ICAPAnchor::doneSending()
+{
+    debug(93,5)("ICAPAnchor::doneSending() called\n");
 
 #if ICAP_ANCHOR_LOOPBACK
-	/* simple assignments are not the right way to do this */
-	adapted->data->header = virgin->data->header;
-	adapted->data->body = virgin->data->body;
-	noteSourceFinish(adapted);
-	return;
+    /* simple assignments are not the right way to do this */
+    adapted->data->header = virgin->data->header;
+    adapted->data->body = virgin->data->body;
+    noteSourceFinish(adapted);
+    return;
 #else
-	virgin->sendSourceFinish();
+
+    virgin->sendSourceFinish();
 #endif
 }
 
 // HttpStateData tells us to abort
-void ICAPAnchor::ownerAbort() {
-	debug(93,5)("ICAPAnchor::ownerAbort() called\n");
-	stop(notifyIcap);
+void ICAPAnchor::ownerAbort()
+{
+    debug(93,5)("ICAPAnchor::ownerAbort() called\n");
+    stop(notifyIcap);
 }
 
 // ICAP client needs more virgin response data
-void ICAPAnchor::noteSinkNeed(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSinkNeed() called\n");
-	if (virgin->data->body->potentialSpaceSize())
-		httpState->icapSpaceAvailable();
+void ICAPAnchor::noteSinkNeed(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSinkNeed() called\n");
+
+    if (virgin->data->body->potentialSpaceSize())
+        httpState->icapSpaceAvailable();
 }
 
 // ICAP client aborting
-void ICAPAnchor::noteSinkAbort(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSinkAbort() called\n");
-	stop(notifyOwner);
+void ICAPAnchor::noteSinkAbort(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSinkAbort() called\n");
+    stop(notifyOwner);
 }
 
 // ICAP client starts sending adapted response
 // ICAP client has received new HTTP headers (if any) at this point
-void ICAPAnchor::noteSourceStart(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSourceStart() called\n");
-	httpState->takeAdaptedHeaders(adapted->data->header);
-	noteSourceProgress(p);
+void ICAPAnchor::noteSourceStart(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSourceStart() called\n");
+    httpState->takeAdaptedHeaders(adapted->data->header);
+    noteSourceProgress(p);
 }
 
 // ICAP client sends more data
-void ICAPAnchor::noteSourceProgress(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSourceProgress() called\n");
-	//tell HttpStateData to store a fresh portion of the adapted response
-	if (p->data->body->hasContent()) {
-		httpState->takeAdaptedBody(p->data->body);
-	}
+void ICAPAnchor::noteSourceProgress(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSourceProgress() called\n");
+    //tell HttpStateData to store a fresh portion of the adapted response
+
+    if (p->data->body->hasContent()) {
+        httpState->takeAdaptedBody(p->data->body);
+    }
 }
 
 // ICAP client is done sending adapted response
-void ICAPAnchor::noteSourceFinish(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSourceFinish() called\n");
-	//tell HttpStateData that we expect no more response data
-	httpState->doneAdapting();
-	stop(notifyNone);
+void ICAPAnchor::noteSourceFinish(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSourceFinish() called\n");
+    //tell HttpStateData that we expect no more response data
+    httpState->doneAdapting();
+    stop(notifyNone);
 }
 
 // ICAP client is aborting
-void ICAPAnchor::noteSourceAbort(MsgPipe *p) {
-	debug(93,5)("ICAPAnchor::noteSourceAbort() called\n");
-	stop(notifyOwner);
+void ICAPAnchor::noteSourceAbort(MsgPipe *p)
+{
+    debug(93,5)("ICAPAnchor::noteSourceAbort() called\n");
+    stop(notifyOwner);
 }
 
 // internal cleanup
-void ICAPAnchor::stop(Notify notify) {
-	if (virgin) {
-		if (notify == notifyIcap)
-			virgin->sendSourceAbort();
-		else
-			virgin->source = NULL;
-		// this is the place to decrement refcount ptr
-		virgin = NULL;
-	}
-	if (adapted) {
-		if (notify == notifyIcap)
-			adapted->sendSinkAbort();
-		else
-			adapted->sink = NULL;
-		// this is the place to decrement refcount ptr
-		adapted = NULL;
-	}
-
-	if (httpState) {
-		if (notify == notifyOwner)
-			// tell HttpStateData that we are aborting prematurely
-			httpState->abortAdapting();
-		cbdataReferenceDone(httpState);
-		// httpSTate is now NULL, will not call it any more
-	}
+void ICAPAnchor::stop(Notify notify)
+{
+    if (virgin) {
+        if (notify == notifyIcap)
+            virgin->sendSourceAbort();
+        else
+            virgin->source = NULL;
+
+        // this is the place to decrement refcount ptr
+        virgin = NULL;
+    }
+
+    if (adapted) {
+        if (notify == notifyIcap)
+            adapted->sendSinkAbort();
+        else
+            adapted->sink = NULL;
+
+        // this is the place to decrement refcount ptr
+        adapted = NULL;
+    }
+
+    if (httpState) {
+        if (notify == notifyOwner)
+            // tell HttpStateData that we are aborting prematurely
+            httpState->abortAdapting();
+
+        cbdataReferenceDone(httpState);
+
+        // httpSTate is now NULL, will not call it any more
+    }
 }
 
Index: squid3/src/ICAPAnchor.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPAnchor.h,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.7
diff -u -r1.1.2.6 -r1.1.2.7
--- squid3/src/ICAPAnchor.h	25 Aug 2005 20:51:26 -0000	1.1.2.6
+++ squid3/src/ICAPAnchor.h	26 Aug 2005 20:28:41 -0000	1.1.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPAnchor.h,v 1.1.2.6 2005/08/25 20:51:26 dwsquid Exp $
+ * $Id: ICAPAnchor.h,v 1.1.2.7 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -46,39 +46,42 @@
  */
 
 class HttpRequest;
+
 class HttpReply;
 
-class ICAPAnchor: public MsgPipeSource, public MsgPipeSink {
+class ICAPAnchor: public MsgPipeSource, public MsgPipeSink
+{
+
 public:
-	ICAPAnchor();
-	virtual ~ICAPAnchor();
+    ICAPAnchor();
+    virtual ~ICAPAnchor();
 
-	// synchronous calls called by HttpStateData
-	void startRespMod(HttpStateData *anHttpState, HttpRequest *request, HttpReply *reply);
-	void sendMoreData(StoreIOBuffer buf);
-	void doneSending();
-	void ownerAbort();
-	int potentialSpaceSize();	/* how much data can we accept? */
-
-	// pipe source methods; called by ICAP while receiving the virgin message
-	virtual void noteSinkNeed(MsgPipe *p);
-	virtual void noteSinkAbort(MsgPipe *p);
-
-	// pipe sink methods; called by ICAP while sending the adapted message
-	virtual void noteSourceStart(MsgPipe *p);
-	virtual void noteSourceProgress(MsgPipe *p);
-	virtual void noteSourceFinish(MsgPipe *p);
-	virtual void noteSourceAbort(MsgPipe *p);
+    // synchronous calls called by HttpStateData
+    void startRespMod(HttpStateData *anHttpState, HttpRequest *request, HttpReply *reply);
+    void sendMoreData(StoreIOBuffer buf);
+    void doneSending();
+    void ownerAbort();
+    int potentialSpaceSize();	/* how much data can we accept? */
+
+    // pipe source methods; called by ICAP while receiving the virgin message
+    virtual void noteSinkNeed(MsgPipe *p);
+    virtual void noteSinkAbort(MsgPipe *p);
+
+    // pipe sink methods; called by ICAP while sending the adapted message
+    virtual void noteSourceStart(MsgPipe *p);
+    virtual void noteSourceProgress(MsgPipe *p);
+    virtual void noteSourceFinish(MsgPipe *p);
+    virtual void noteSourceAbort(MsgPipe *p);
 
 public:
-	HttpStateData *httpState;
-	MsgPipe *virgin;
-	MsgPipe *adapted;
+    HttpStateData *httpState;
+    MsgPipe *virgin;
+    MsgPipe *adapted;
 
 private:
-	typedef enum { notifyNone, notifyOwner, notifyIcap } Notify;
-	void stop(Notify notify);
-	CBDATA_CLASS2(ICAPAnchor);
+    typedef enum { notifyNone, notifyOwner, notifyIcap } Notify;
+    void stop(Notify notify);
+    CBDATA_CLASS2(ICAPAnchor);
 };
 
 #endif /* SQUID_ICAPANCHOR_H */
Index: squid3/src/ICAPClient.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPClient.cc,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid3/src/ICAPClient.cc	25 Aug 2005 20:51:26 -0000	1.1.2.5
+++ squid3/src/ICAPClient.cc	26 Aug 2005 20:28:41 -0000	1.1.2.6
@@ -3,32 +3,35 @@
 #include "ICAPClient.h"
 #include "http.h"
 
-void ICAPInitModule() {
-	/*
-	 * ICAP's MsgPipe buffer needs to be at least as large
-	 * as the HTTP read buffer.  Otherwise HTTP may take
-	 * data from the network that won't fit into the MsgPipe,
-	 * which leads to a runtime assertion.
-	 */
-	assert(ICAPMsgPipeBufSizeMax >= SQUID_TCP_SO_RCVBUF);
+void ICAPInitModule()
+{
+    /*
+     * ICAP's MsgPipe buffer needs to be at least as large
+     * as the HTTP read buffer.  Otherwise HTTP may take
+     * data from the network that won't fit into the MsgPipe,
+     * which leads to a runtime assertion.
+     */
+    assert(ICAPMsgPipeBufSizeMax >= SQUID_TCP_SO_RCVBUF);
 }
 
-void ICAPCleanModule() {
-}
+void ICAPCleanModule()
+{}
 
 // initialize ICAP-specific ends of message pipes
-void ICAPInitXaction(MsgPipe *virgin, MsgPipe *adapted) {
-	ICAPXaction::Pointer x = new ICAPXaction;
-	debugs(93,5, "ICAPInitXaction: " << x.getRaw());
-	x->init(virgin, adapted, x);
-	// if we want to do something to the transaction after it is done,
-	// we need to keep a pointer to it
+void ICAPInitXaction(MsgPipe *virgin, MsgPipe *adapted)
+{
+    ICAPXaction::Pointer x = new ICAPXaction;
+    debugs(93,5, "ICAPInitXaction: " << x.getRaw());
+    x->init(virgin, adapted, x);
+    // if we want to do something to the transaction after it is done,
+    // we need to keep a pointer to it
 }
 
 // declared in ICAPXaction.h (ick?)
-void ICAPNoteXactionDone(ICAPXaction::Pointer x) {
-	// nothing to be done here? 
-	// refcounting will delete the transaction
-	// as soon as the last pointer to it is gone
-	debugs(93,5, "ICAPNoteXactionDone: " << x.getRaw());
+void ICAPNoteXactionDone(ICAPXaction::Pointer x)
+{
+    // nothing to be done here?
+    // refcounting will delete the transaction
+    // as soon as the last pointer to it is gone
+    debugs(93,5, "ICAPNoteXactionDone: " << x.getRaw());
 }
Index: squid3/src/ICAPClient.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPClient.h,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/ICAPClient.h	25 Aug 2005 20:51:26 -0000	1.1.2.4
+++ squid3/src/ICAPClient.h	26 Aug 2005 20:28:41 -0000	1.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPClient.h,v 1.1.2.4 2005/08/25 20:51:26 dwsquid Exp $
+ * $Id: ICAPClient.h,v 1.1.2.5 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,13 +36,14 @@
 
 
 // These are public ICAP interfaces for use by Squid code unaware of
-// ICAP internals and treating ICAP as an opaque message adaptation 
+// ICAP internals and treating ICAP as an opaque message adaptation
 // protocol.
 
 extern void ICAPInitModule();
 extern void ICAPCleanModule();
 
 // let ICAP initialize ICAP-specific ends of message pipes
+
 class MsgPipe;
 extern void ICAPInitXaction(MsgPipe *virgin, MsgPipe *adapted);
 
Index: squid3/src/ICAPServiceRep.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPServiceRep.cc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/ICAPServiceRep.cc	19 Aug 2005 20:13:42 -0000	1.1.2.1
+++ squid3/src/ICAPServiceRep.cc	26 Aug 2005 20:28:41 -0000	1.1.2.2
@@ -1,16 +1,18 @@
 #include "squid.h"
 #include "ICAPServiceRep.h"
 
-ICAPServiceRep::ICAPServiceRep(): port(-1) {
-	// XXX: these need to be config-driven, and initialized elsewhere
-	method = xstrdup("RESPMOD");
-	uri = xstrdup("icap://127.0.0.1:3214/reqmod");
-	host = xstrdup("127.0.0.1");
-	port = 3214;
+ICAPServiceRep::ICAPServiceRep(): port(-1)
+{
+    // XXX: these need to be config-driven, and initialized elsewhere
+    method = xstrdup("RESPMOD");
+    uri = xstrdup("icap://127.0.0.1:3214/reqmod");
+    host = xstrdup("127.0.0.1");
+    port = 3214;
 }
 
-ICAPServiceRep::~ICAPServiceRep() {
-	xfree(method);
-	xfree(uri);
-	xfree(host);
+ICAPServiceRep::~ICAPServiceRep()
+{
+    xfree(method);
+    xfree(uri);
+    xfree(host);
 }
Index: squid3/src/ICAPServiceRep.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPServiceRep.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/ICAPServiceRep.h	19 Aug 2005 20:13:42 -0000	1.1.2.1
+++ squid3/src/ICAPServiceRep.h	26 Aug 2005 20:28:41 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPServiceRep.h,v 1.1.2.1 2005/08/19 20:13:42 rousskov Exp $
+ * $Id: ICAPServiceRep.h,v 1.1.2.2 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,21 +36,23 @@
 
 #include <string>
 
-/* The ICAP service representative maintains information about a single 
+/* The ICAP service representative maintains information about a single
    ICAP service that Squid communicates with. One ICAP server may host 
    many ICAP services */
 
-class ICAPServiceRep {
+class ICAPServiceRep
+{
+
 public:
-	ICAPServiceRep();
-	~ICAPServiceRep();
+    ICAPServiceRep();
+    ~ICAPServiceRep();
 
 public:
-	char *method; // ICAP method (XXX: should be an enum)
-	char *uri;    // service URI
+    char *method; // ICAP method (XXX: should be an enum)
+    char *uri;    // service URI
 
-	char *host;
-	int port;
+    char *host;
+    int port;
 };
 
 #endif /* SQUID_ICAPSERVICEREP_H */
Index: squid3/src/ICAPXaction.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPXaction.cc,v
retrieving revision 1.1.2.12
retrieving revision 1.1.2.13
diff -u -r1.1.2.12 -r1.1.2.13
--- squid3/src/ICAPXaction.cc	25 Aug 2005 22:09:00 -0000	1.1.2.12
+++ squid3/src/ICAPXaction.cc	26 Aug 2005 20:28:41 -0000	1.1.2.13
@@ -26,46 +26,53 @@
 static const char *const crlf = "\r\n";
 
 static
-ICAPXaction &ICAPXaction_fromData(void *data) {
-	ICAPXaction *x = static_cast<ICAPXaction*>(data);
-	assert(x);
-	return *x;
+ICAPXaction &ICAPXaction_fromData(void *data)
+{
+    ICAPXaction *x = static_cast<ICAPXaction*>(data);
+    assert(x);
+    return *x;
 }
 
 static
-void ICAPXaction_noteCommTimeout(int, void *data) {
-	ICAPXaction_fromData(data).noteCommTimeout();
+void ICAPXaction_noteCommTimeout(int, void *data)
+{
+    ICAPXaction_fromData(data).noteCommTimeout();
 }
 
 static
-void ICAPXaction_noteCommClose(int, void *data) {
-	ICAPXaction_fromData(data).noteCommClose();
+void ICAPXaction_noteCommClose(int, void *data)
+{
+    ICAPXaction_fromData(data).noteCommClose();
 }
 
 static
-void ICAPXaction_noteCommConnected(int, comm_err_t status, int xerrno, void *data) {
-	ICAPXaction_fromData(data).noteCommConnected(status);
+void ICAPXaction_noteCommConnected(int, comm_err_t status, int xerrno, void *data)
+{
+    ICAPXaction_fromData(data).noteCommConnected(status);
 }
 
 static
-void ICAPXaction_noteCommWroteHeaders(int, char *, size_t size, comm_err_t status, void *data) {
-	ICAPXaction_fromData(data).noteCommWroteHeaders(status);
+void ICAPXaction_noteCommWroteHeaders(int, char *, size_t size, comm_err_t status, void *data)
+{
+    ICAPXaction_fromData(data).noteCommWroteHeaders(status);
 }
 
 static
-void ICAPXaction_noteCommWroteBody(int, char *, size_t size, comm_err_t status, void *data) {
-	ICAPXaction_fromData(data).noteCommWroteBody(status, size);
+void ICAPXaction_noteCommWroteBody(int, char *, size_t size, comm_err_t status, void *data)
+{
+    ICAPXaction_fromData(data).noteCommWroteBody(status, size);
 }
 
 static
-void ICAPXaction_noteCommRead(int, char *, size_t size, comm_err_t status, int xerrno, void *data) {
-	ICAPXaction_fromData(data).noteCommRead(status, size);
+void ICAPXaction_noteCommRead(int, char *, size_t size, comm_err_t status, int xerrno, void *data)
+{
+    ICAPXaction_fromData(data).noteCommRead(status, size);
 }
 
-// call guards for all "asynchronous" note*() methods that are being called 
+// call guards for all "asynchronous" note*() methods that are being called
 // from message pipes or the comm module
 
-// asynchronous call entry: 
+// asynchronous call entry:
 // - remember default notify address (currently hard-coded to notifyAll);
 // - open the try clause;
 // - call callStart().
@@ -75,7 +82,7 @@
 		if (!callStart(#method)) \
 			return;
 //      ...
-// asynchronous call exit: 
+// asynchronous call exit:
 // - close the try clause;
 // - catch exceptions;
 // - let callEnd() handle transaction termination conditions
